let httpApiThree;
let httpApi; // 总域名
let httpApiTwo; // 物流系统域名

const env = 'dev'; // 开发
// const env = 'prod'; // 生产
// const env = 'prew';    // 预上线
// const env = 'local'; // 本地

switch (env) {
	case 'prod':
		httpApi = 'https://worker-task.lihaink.cn' //正式
		httpApiTwo = 'https://logistics.lihaink.cn' //正式环境
		httpApiThree = 'https://worker-task.lihaink.cn' //正式
		break;
	case 'prew':
		httpApi = 'https://preview-worker-task.lihaink.cn' //预上线
		httpApiThree = 'https://preview-worker-task.lihaink.cn' //预上线
		httpApiTwo = 'https://preview-logistics.lihaink.cn' //预上线
		break;
	case 'local':
		httpApi = 'http://192.168.1.12:8001' //预上线
		httpApiThree = 'http://192.168.1.12:8001' //预上线
		httpApiTwo = 'http://192.168.1.12:8001' //预上线
		break;
	default:
		httpApi = 'https://ceshi-lstsy.lihaink.cn' //测试环境
		httpApiThree =  'https://ceshi-lstsy.lihaink.cn' //测试环境
		httpApiTwo = 'https://ceshi-lstsy.lihaink.cn' //测试环境
		//测试环境
}


module.exports = {
	// 请求域名 格式： https://您的域名
	HTTP_REQUEST_URL: httpApi,
	HTTP_REQUEST_URL_THREE: httpApiThree,
	HTTP_REQUEST_URL_TWO: httpApiTwo,



	HEADER: {
		'content-type': 'application/json',
		//#ifdef MP
		'Form-type': 'routine',
		//#endif
		//#ifdef APP-PLUS
		'Form-type': 'app',
		//#endif
	},
	// 回话密钥名称 请勿修改此配置
	// TOKENNAME: 'X-Token',
	TOKENNAME: 'token',
	// 缓存时间 0 永久
	EXPIRE: 0,
};